lbpolicy_lbpolicylabel_binding
Binding object showing the lbpolicylabel that can be bound to lbpolicy.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| boundto | <String> | Read-write | Location where policy is bound. |
| name | <String> | Read-write | Name of the LB policy. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) pound (#), space ( ), at (@), equals (=), colon (:), and underscore characters. Can be changed after the LB policy is added. The following requirement applies only to the Citrix ADC CLI: If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my lb policy" or 'my lb policy'). |
| priority | <Integer> | Read-only | Specifies the priority of the policy. |
| labeltype | <String> | Read-only | Type of policy label invocation.
Possible values = reqvserver, policylabel
|
| activepolicy | <Integer> | Read-only | Indicates whether policy is bound or not. |
| gotopriorityexpression | <String> | Read-only | Expression specifying the priority of the next policy which will get evaluated if the current policy rule evaluates to TRUE. |
| labelname | <String> | Read-only | Name of the label to invoke if the current policy rule evaluates to TRUE. |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of lbpolicy_lbpolicylabel_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the lbpolicy_lbpolicylabel_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicy_lbpolicylabel_binding": [ {
"boundto":<String_value>,
"name":<String_value>,
"priority":<Integer_value>,
"labeltype":<String_value>,
"activepolicy":<Integer_value>,
"gotopriorityexpression":<String_value>,
"labelname":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicy_lbpolicylabel_binding": [ {
"boundto":<String_value>,
"name":<String_value>,
"priority":<Integer_value>,
"labeltype":<String_value>,
"activepolicy":<Integer_value>,
"gotopriorityexpression":<String_value>,
"labelname":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_lbpolicylabel_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"lbpolicy_lbpolicylabel_binding": [ { "__count": "#no"} ] }